Bug 1279992 - [abrt] yumex-dnf: dbus_status.py:197:error_notify:GLib.Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files (2)
Summary: [abrt] yumex-dnf: dbus_status.py:197:error_notify:GLib.Error: g-dbus-error-qu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 24
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d3248a77886bcece7dbcb4596a7...
: 1283268 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-10 16:30 UTC by Veteran
Modified: 2016-03-26 20:20 UTC (History)
2 users (show)

Fixed In Version: yumex-dnf-4.1.6-1.fc24 yumex-dnf-4.1.6-1.fc23 yumex-dnf-4.1.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-23 15:18:07 UTC


Attachments (Terms of Use)
File: backtrace (2.91 KB, text/plain)
2015-11-10 16:30 UTC, Veteran
no flags Details
File: environ (1.99 KB, text/plain)
2015-11-10 16:30 UTC, Veteran
no flags Details

Description Veteran 2015-11-10 16:30:03 UTC
Description of problem:
I ran sudo yumex-dnf

Version-Release number of selected component:
yumex-dnf-4.1.4-1.fc24

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -tt /usr/share/yumex-dnf/dbus_status.py
executable:     /usr/share/yumex-dnf/dbus_status.py
kernel:         4.4.0-0.rc0.git2.1.fc24.i686
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
dbus_status.py:197:error_notify:GLib.Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files (2)

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 212, in _get_daemon
    proxy = bus.get(org, "/", interface)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 169, in get
    self.conn, 0, None, bus, obj, iface, None
GLib.Error: g-dbus-error-quark: Error calling StartServiceByName for org.baseurl.DnfSystem: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/yumex-dnf/dbus_status.py", line 373, in __init__
    self.backend = dnfdaemon.client.Client()
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 541, in __init__
    DnfDaemonBase.__init__(self, system, ORG, INTERFACE)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 205, in __init__
    self.daemon = self._get_daemon(bus, org, interface)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 223, in _get_daemon
    self._handle_dbus_error(err)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-dbus-error-quark: Error calling StartServiceByName for org.baseurl.DnfSystem: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/yumex-dnf/dbus_status.py", line 728, in <module>
    main()
  File "/usr/share/yumex-dnf/dbus_status.py", line 723, in main
    YumexStatusDaemon()
  File "/usr/share/yumex-dnf/dbus_status.py", line 377, in __init__
    error_notify('Error starting dnfdaemon service\n\n%s' % msg, msg)
  File "/usr/share/yumex-dnf/dbus_status.py", line 197, in error_notify
    notification.show()
GLib.Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files (2)

Local variables in innermost frame:
notification: <Notify.Notification object at 0xb3fd59b4 (NotifyNotification at 0x819e7360)>
icon: 'yumex-dnf'
summary: 'Error starting dnfdaemon service\n\ng-dbus-error-quark: Error calling StartServiceByName for org.baseurl.DnfSystem: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)'
body: 'g-dbus-error-quark: Error calling StartServiceByName for org.baseurl.DnfSystem: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1 (25)'

Comment 1 Veteran 2015-11-10 16:30:06 UTC
Created attachment 1092364 [details]
File: backtrace

Comment 2 Veteran 2015-11-10 16:30:07 UTC
Created attachment 1092365 [details]
File: environ

Comment 3 Tim Lauridsen 2015-11-18 11:52:07 UTC
look like yumex-dnf is missing a requirement

fixed upstream:
https://github.com/timlau/yumex-dnf/commit/1b6e1c64d5469e5eb291ef6651edb6049c0a73e4

Comment 4 Tim Lauridsen 2015-11-20 08:25:31 UTC
*** Bug 1283268 has been marked as a duplicate of this bug. ***

Comment 5 Jan Kurik 2016-02-24 13:56:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 Fedora Update System 2016-03-17 12:10:35 UTC
yumex-dnf-4.1.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9

Comment 7 Fedora Update System 2016-03-17 12:35:40 UTC
yumex-dnf-4.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119

Comment 8 Fedora Update System 2016-03-17 12:35:55 UTC
yumex-dnf-4.1.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42

Comment 9 Fedora Update System 2016-03-18 14:57:13 UTC
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9

Comment 10 Fedora Update System 2016-03-18 23:55:38 UTC
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42

Comment 11 Fedora Update System 2016-03-19 01:25:58 UTC
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119

Comment 12 Fedora Update System 2016-03-23 15:17:54 UTC
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-03-26 19:49:18 UTC
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-03-26 20:20:04 UTC
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.